Freeciv-3.1: unit_select_dialog Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
unit_select_dialog Struct Reference

## Data Fields

struct tile * | ptile
int | unit_id_focus
GtkWidget * | shell
GtkWidget * | notebook
struct { |
GtkTreeStore * store |
GtkWidget * view |
GtkTreePath * path |
} | units |
struct { |
GtkTreeStore * store |
GtkWidget * page |
GtkWidget * view |
GtkTreePath * path |
GtkWidget * cmd [USDLG_CMD_LAST] |
} | tabs [SELLOC_COUNT] |
struct { |
GtkTreeStore * store |
GtkWidget * view |
GtkTreePath * path |
} | units |
struct { |
GtkTreeStore * store |
GtkWidget * page |
GtkWidget * view |
GtkTreePath * path |
GtkWidget * cmd [USDLG_CMD_LAST] |
} | tabs [SELLOC_COUNT] |
struct { |
GtkTreeStore * store |
GtkWidget * view |
GtkTreePath * path |
} | units |
struct { |
GtkTreeStore * store |
GtkWidget * page |
GtkWidget * view |
GtkTreePath * path |
GtkWidget * cmd [USDLG_CMD_LAST] |
} | tabs [SELLOC_COUNT] |

## Detailed Description

Definition at line 117 of file unitselect.c.

## Field Documentation

## ◆ cmd

GtkWidget* unit_select_dialog::cmd[USDLG_CMD_LAST]

Definition at line 136 of file unitselect.c.

Referenced by usdlg_cmd_cursor_changed(), and usdlg_tab_select().

## ◆ notebook

GtkWidget * unit_select_dialog::notebook

Definition at line 122 of file unitselect.c.

Referenced by usdlg_create(), and usdlg_tab_select().

## ◆ page

GtkWidget* unit_select_dialog::page

Definition at line 132 of file unitselect.c.

Referenced by usdlg_refresh(), and usdlg_tab_select().

## ◆ path

GtkTreePath* unit_select_dialog::path

Definition at line 127 of file unitselect.c.

Referenced by usdlg_refresh(), and usdlg_tab_append_units().

## ◆ ptile

struct tile * unit_select_dialog::ptile

Definition at line 118 of file unitselect.c.

Referenced by unit_select_dialog_popup_main(), usdlg_cmd_exec(), usdlg_create(), usdlg_refresh(), and usdlg_tile().

## ◆ shell

GtkWidget * unit_select_dialog::shell

Definition at line 121 of file unitselect.c.

Referenced by unit_select_dialog_popup_main(), usdlg_create(), and usdlg_destroy().

## ◆ store

GtkTreeStore* unit_select_dialog::store

Definition at line 125 of file unitselect.c.

Referenced by usdlg_tab_append_units(), usdlg_tab_select(), and usdlg_tab_update().

## ◆ [struct] [1/3]

struct { ... } unit_select_dialog::tabs[SELLOC_COUNT]

Referenced by usdlg_cmd_center(), usdlg_cmd_cursor_changed(), usdlg_cmd_exec(), usdlg_cmd_focus(), usdlg_refresh(), usdlg_tab_append_units(), usdlg_tab_select(), and usdlg_tab_update().

## ◆ [struct] [2/3]

struct { ... } unit_select_dialog::tabs[SELLOC_COUNT]

## ◆ [struct] [3/3]

struct { ... } unit_select_dialog::tabs[SELLOC_COUNT]

## ◆ unit_id_focus

int unit_select_dialog::unit_id_focus

Definition at line 119 of file unitselect.c.

## ◆ [struct] [1/3]

struct { ... } unit_select_dialog::units

## ◆ [struct] [2/3]

struct { ... } unit_select_dialog::units

## ◆ [struct] [3/3]

struct { ... } unit_select_dialog::units

## ◆ view

GtkWidget* unit_select_dialog::view

Definition at line 126 of file unitselect.c.

Referenced by usdlg_cmd_center(), usdlg_cmd_exec(), usdlg_cmd_focus(), usdlg_refresh(), usdlg_tab_select(), and usdlg_tab_update().